import { LitElement } from 'lit';
export declare const ICON_VAADIN = "icon-vaadin";
export declare class IconVaadinComponent extends LitElement {
    static readonly defaultTagName = "icon-vaadin";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
